Bug 58353 - Problem of cursor Position for RTL languages like Farsi(Persian)
Summary: Problem of cursor Position for RTL languages like Farsi(Persian)
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.2.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: RTF
  Show dependency treegraph
 
Reported: 2012-12-16 05:03 UTC by Mohsen Jamali
Modified: 2017-05-22 13:21 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
screen shot of cursor problem for RTL languages of libreoffice (152.99 KB, image/png)
2012-12-16 05:03 UTC, Mohsen Jamali
Details
using Mousepad text editor (20.48 KB, image/png)
2013-08-25 15:55 UTC, Ahmad Harthi
Details
Writer, the cursor stanign partially on the letter (67.16 KB, image/png)
2013-08-25 15:57 UTC, Ahmad Harthi
Details
cursor after the letter, Mousepad (20.55 KB, image/png)
2013-08-25 16:04 UTC, Ahmad Harthi
Details
cursor after the letter, Writer (47.21 KB, image/png)
2013-08-25 16:08 UTC, Ahmad Harthi
Details
LibreOffice vs Calligra at 250% (72.63 KB, image/png)
2015-03-24 12:36 UTC, Yousuf Philips (jay) (retired)
Details
sample doc (8.35 KB, application/vnd.oasis.opendocument.text)
2015-03-24 12:37 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mohsen Jamali 2012-12-16 05:03:37 UTC
Created attachment 71573 [details]
screen shot of cursor problem for RTL languages of libreoffice

Dear Libreoffice :)
My local language setting is Farsi(Persian). i have a cursor problem with this RTL language. "ا" is a charachter of Farsi alphabetic and when cursor is on it i can't know, whether the cursor is after or before this character. i have provided an screen shot that might help. i would be very happy if this bug fixes in future releases :)
Thanks for your great libre app.
Comment 1 Ahmad Harthi 2013-08-22 22:23:46 UTC
(In reply to comment #0)
> Created attachment 71573 [details]
> screen shot of cursor problem for RTL languages of libreoffice
> 
> Dear Libreoffice :)
> My local language setting is Farsi(Persian). i have a cursor problem with
> this RTL language. "ا" is a charachter of Farsi alphabetic and when cursor
> is on it i can't know, whether the cursor is after or before this character.
> i have provided an screen shot that might help. i would be very happy if
> this bug fixes in future releases :)
> Thanks for your great libre app.

Hi Mohsen,

Thanks for reporting this bug.

We'll try our best to get it solved.
Comment 2 Faisal Menawer 2013-08-25 07:43:44 UTC
hi

i think this is not a bug because it work as it expected.
the cursor suppose to be on the beginning of the character drawing
if it is before this character.

So, from the screen shot the cursor is before this "ا" char.
And if the cursor is after it, it suppose to be on the beginning of the next character.
Comment 3 Ahmad Harthi 2013-08-25 15:53:40 UTC
(In reply to comment #2)
> hi
> 
> i think this is not a bug because it work as it expected.
> the cursor suppose to be on the beginning of the character drawing
> if it is before this character.
> 
> So, from the screen shot the cursor is before this "ا" char.
> And if the cursor is after it, it suppose to be on the beginning of the next
> character.

Please give it a closer look, the cursor is standing partially on the letter not exactly behind the letter.

I'm marking it as reopened!!!

:P
Comment 4 Ahmad Harthi 2013-08-25 15:55:13 UTC
Created attachment 84602 [details]
using Mousepad text editor
Comment 5 Ahmad Harthi 2013-08-25 15:57:47 UTC
Created attachment 84603 [details]
Writer, the cursor stanign partially on the letter

Please compare it with previous screenshots..
Comment 6 Ahmad Harthi 2013-08-25 16:04:58 UTC
Created attachment 84604 [details]
cursor after the letter, Mousepad
Comment 7 Ahmad Harthi 2013-08-25 16:08:56 UTC
Created attachment 84605 [details]
cursor after the letter, Writer

Also there is a small space between the cursor and the last letter (compare it with Mousepad)
Comment 8 Joel Madero 2014-11-06 22:29:22 UTC
We need QA to confirm this (again perhaps) moving to UNCONFIRMED as REOPENED is incorrect. Thanks
Comment 9 Yousuf Philips (jay) (retired) 2015-03-24 12:36:32 UTC
Created attachment 114303 [details]
LibreOffice vs Calligra at 250%

Some of the problem here comes to zoom level and the font used, because at a higher zoom level, the cursor doesnt have this problem. But at 100%, the cursor should be placed more to the right, so that its not overlapping the 'l'.
Comment 10 Yousuf Philips (jay) (retired) 2015-03-24 12:37:26 UTC
Created attachment 114304 [details]
sample doc
Comment 11 tommy27 2016-04-16 07:26:00 UTC Comment hidden (obsolete)
Comment 12 QA Administrators 2017-05-22 13:21:39 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice 
(5.2.7 or 5.3.3  https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and 
your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave 
a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to "inherited from OOo";
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug-20170522